## org.apache.poi.ss.formula
Interface EvaluationName

    public interface EvaluationName

Abstracts a name record for formula evaluation.
For POI internal use only

Author:
  Josh Micich

Method Summary
`NamePtg` `createPtg()`
`Ptg[]` `getNameDefinition()`
`java.lang.String` `getNameText()`
`boolean` `hasFormula()`
`boolean` `isFunctionName()`
`boolean` `isRange()`

Method Detail

### getNameText

    java.lang.String getNameText()

### isFunctionName

    boolean isFunctionName()

### hasFormula

    boolean hasFormula()

### getNameDefinition

    Ptg[] getNameDefinition()

### isRange

    boolean isRange()

### createPtg

    NamePtg createPtg()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.